libdatrie1_0.2.8-1_amd64.deb


Advertisement

Description

libdatrie1 - Double-array trie library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libdatrie1
Package version 0.2.8
Package release 1
Package architecture amd64
Package type deb
Installed size 85 B
Download size 31.83 KB
Official Mirror ftp.br.debian.org
This package provides shared libraries needed to run programs that use the
datrie library. It is usually automatically installed.

Alternatives

Package Version Architecture Repository
libdatrie1_0.2.8-1_i386.deb 0.2.8 i386 Debian Main
libdatrie1 - - -

Requires

Name Value
libc6 >= 2.14
multiarch-support -

Download

Type URL
Binary Package libdatrie1_0.2.8-1_amd64.deb
Source Package libdatrie

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdatrie1 deb package:
    # sudo apt-get install libdatrie1

Files

Path
/usr/lib/x86_64-linux-gnu/libdatrie.so.1
/usr/lib/x86_64-linux-gnu/libdatrie.so.1.3.1
/usr/share/doc/libdatrie1/NEWS.gz
/usr/share/doc/libdatrie1/README
/usr/share/doc/libdatrie1/changelog.Debian.gz
/usr/share/doc/libdatrie1/changelog.gz
/usr/share/doc/libdatrie1/copyright

Changelog

2014-01-10 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.8-1) unstable; urgency=medium
* Imported Upstream version 0.2.8
* Run test suites after build
* Declare libdatrie-dev M-A: same
* Update copyright years
* Bump Standards-Version to 3.9.5 (no changes)
2013-10-22 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.7.1-1) unstable; urgency=low
* Use canonical anonscm URIs in Vcs-* fields.
* Imported Upstream version 0.2.7
* Bump doxygen b-dep, as per upstream
* d/libdatrie1.symbols: Updated according to upstream API change
* Imported Upstream version 0.2.7.1
2013-05-09 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.6-2) unstable; urgency=low
* debian/watch: Watch upstream .tar.xz instead of .tar.gz.
* Upload to unstable.
2013-01-23 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.6-1) experimental; urgency=low
* Bump Standards-Version to 3.9.3 with changes
- Update debian/copyright Format: URL to 'packaging-manuals' one.
* Update copyright years
* Imported Upstream version 0.2.6
* debian/libdatrie1.symbols: Updated as per upstream
* debian/copyright: Update copyright years
* Bump Standards-Version to 3.9.4 (no changes needed)
* Build with xz compression
2011-12-22 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.5-3) unstable; urgency=low
* Set Vcs-Git and Vcs-Browser to alioth
* Point Homepage directly to linux.thai.net page
* debian/control, debian/copyright: Apply wrap-and-sort
2011-11-17 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.5-2) unstable; urgency=low
* debian/copyright:
- Use non-forwarding format URL. Bump to revision 202.
- Upstream license is actually LGPL-2.1, not 2.0.
- Add extended text for LGPL-2.1 and GPL-2.
* debian/rules:
- Add back upstream 'make distclean' that was lost in 0.2.4-3, so it
builds twice in a row again.
2011-11-04 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.5-1) unstable; urgency=low
* New upstream release.
* Use hardening build flags:
- B-Dep on dpkg-dev (>= 0.16.1~) for dpkg-buildflags
- Obtain build flags from dpkg-buildflags
- Drop old CFLAGS & LDFLAGS, as now overridden by dpkg-buildflags
2011-06-19 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.4-3) unstable; urgency=low
* Merge Ubuntu changes (build for multiarch)
- Build-dep on debhelper (>= 8.1.3)
- Add "Pre-Depends: ${misc:Pre-Depends}" for libdatrie1
- Add DEB_HOST_MULTIARCH and pass it to --libdir as a subdir
under /usr/lib in configure
- Replace /usr/lib/ with /usr/lib/*/ in {libdatrie1,libdatrie-dev}.install
- Add "Multi-Arch: same" for libdatrie1
* Use dh-autoreconf instead of direct autoreconf call and manual cleanups
- Build-dep on dh-autoreconf
- Call dh_autoreconf on configure and dh_autoreconf_clean on clean
* Bump Standards-Version to 3.9.2 (no changes needed)
2011-03-26 - Steve Langasek <steve.langasek@ubuntu.com>
libdatrie (0.2.4-2ubuntu1) oneiric; urgency=low
* Build for multiarch.
2011-03-13 - Theppitak Karoonboonyanan <thep@debian.org>
libdatrie (0.2.4-2) unstable; urgency=low
* debian/copyright:
- Updated to DEP-5 rev 173.
- Update copyright year for debian/*.
* debian/rules:
- Drop unnecessary --infodir configure option.
- Use short options -i/-a instead of --indep/--arch for dh_ commands.
* Mark libdatrie-doc as "Multi-Arch: foreign" in preparation for multi-arch
environment to come. This will satisfy Recommends from libdatrie-dev.
* Bump Standards-Version to 3.9.1 (no changes needed)

See Also

Package Description
libdavix0_0.3.1-1+b1_amd64.deb Runtime library for davix
libdawgdic-dev_0.4.5-2_all.deb C++ library for DAWG dictionaries
libdb++-dev_5.3.0+b1_amd64.deb Berkeley Database Libraries for C++ [development]
libdb-dev_5.3.0+b1_amd64.deb Berkeley Database Libraries [development]
libdb-file-lock-perl_0.05-3_all.deb wrapper adding locking for the DB_File module
libdb-java-dev_5.3.0+b1_amd64.deb Berkeley Database Libraries for Java [development]
libdb-java_5.3.0_all.deb Berkeley Database Libraries for Java
libdb-je-java_3.3.98-1_all.deb Oracle Berkeley Database Java Edition
libdb-sql-dev_5.3.0+b1_amd64.deb Berkeley Database Libraries [SQL development]
libdb1-compat_2.1.3-17_amd64.deb Berkeley database routines [glibc 2.0/2.1 compatibility]
libdb5.3++-dev_5.3.28-9+deb8u1_amd64.deb Berkeley v5.3 Database Libraries for C++ [development]
libdb5.3++_5.3.28-9+deb8u1_amd64.deb Berkeley v5.3 Database Libraries for C++ [runtime]
libdb5.3-dev_5.3.28-9+deb8u1_amd64.deb Berkeley v5.3 Database Libraries [development]
libdb5.3-java-dev_5.3.28-9+deb8u1_amd64.deb Berkeley v5.3 Database Libraries for Java [development]
libdb5.3-java-gcj_5.3.28-9+deb8u1_amd64.deb Berkeley v5.3 Database Libraries for Java (native code)
Advertisement
Advertisement